Including jQuery will make a lot of simple JavaScript easier and will let us move away from all of the inline 
JavaScript that is included on most pages. Since I've been using jQuery in my plugins for years now, I think 
it's safe to include it into master.

jQuery UI is a collection of visual effects (like scriptaculous) and user interface components. I've been using it 
heavily, especially the Dialog component to create popup type windows (e.g. help information, extra forms like 
to report a new issue). Once again, it's been really stable and I think it could really help to upgrade our user 
interface.

I'm proposing to include these into master (2.x) so 1) we can start to use them now and 2) plugins can stop 
bundling their own versions.

Associated revisions
2011-11-07 04:21 am - Eric Davis
[#658] Include jQuery v1.7, jquery ui 1.8.16, and smoothness theme

History
2011-10-13 07:07 pm - Niels Lindenthal
+1 

2011-10-13 07:43 pm - Holger Just
Eric, do you plan to do that many UI changes in master that it justifies the additional client load (and maybe plugin breakage)? I'd rather have it included 
in version:3.0.0 and push it as the new default from that on. Also I think the new design stuff will be that awesome that we won't want to look back soon 
:)

Apart from that, I'm all in favor of using jQuery + jQuery UI. We also started to use "Chosen":http://harvesthq.github.com/chosen/ which does some 
awesome stuff to select boxes.

2011-10-13 08:02 pm - Eric Davis
Holger Just wrote:
> Eric, do you plan to do that many UI changes in master that it justifies the additional client load (and maybe plugin breakage)?

What do you mean by client load? Like download size (install package and page size)?

I haven't seen any plugin breakage yet and I've seen one install with 4 different versions of jquery loaded on one page. Somehow jquery still worked...

The *biggest* UI thing I want to add to 2.x is better help. I think Jan had a plugin that was like this but I'd like to have more "inline" help for users. Things 
to answer questions like "What does Watch do?". This would be a long term feature so the sooner we can have the code to support it, the better. (Long 
term meaning: code can be done quickly but the documentation and translations will take a long time to create and refine).

> We also started to use Chosen which does some awesome stuff to select boxes.

Looks interesting, we should discuss that further. I like the idea but we'd need to watch non-javascript compatibility.

2020-10-25 1/2



2011-10-28 10:31 pm - Eric Davis
An older version of jquery is included in #263's pull request. Once that's committed I'll upgrade the version, add jquery UI, and fix a known bug 
(documented in the application.js).

Lets just pass on putting this into stable.

2011-11-07 03:26 am - Eric Davis
- Target version set to 3.0.0

- Status changed from Open to Closed

I've added jQuery v1.7, jquery ui 1.8.16, and smoothness theme to unstable (commit:3409f5b). The smoothness theme is a nice clean white-gray based 
theme for the UI elements. (Visit the "themes":http://jqueryui.com/themeroller, click Gallery on the left, and then Smoothness)

When we start working with ChiliProject themes more we might want to take a look at letting each theme pick which jQuery UI theme to use but 
smoothness should be good enough for a default for now.
